# Generated from rubillow_current-0.0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rubillow_current

Name: rubygem-%{gem_name}
Version: 0.0.9
Release: 1%{?dist}
Summary: Ruby library to access the Zillow API
License: MIT
URL: https://github.com/ejhayes/rubillow
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 2.12
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(yard) >= 0.8
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(bluecloth) >= 2.2
# BuildRequires: rubygem(bluecloth) < 3
# BuildRequires: rubygem(simplecov) >= 0.7
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(coveralls) >= 0.6
# BuildRequires: rubygem(coveralls) < 1
BuildArch: noarch

%description
Ruby library to access the Zillow API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rubillow.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.9-1
- Initial package
